#
# spec file for package OpenOffice_org-extensions (Version 3.1.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           OpenOffice_org-extensions
Version:        3.1.1.1
Release:        1.3.moblin2
%define         ooo_build_version 3.1.1.1
%define         piece      extensions
#!BuildIgnore:  OpenOffice_org

BuildRequires:  ImageMagick ant ant-apache-regexp bison boost-devel ccache cups-devel curl-devel db4-devel flac-devel flex gnome-vfs2-devel gperf gtk2-devel icu java-devel krb5-devel libexif mono-devel neon-devel openldap-devel pam-devel perl-Archive-Zip perl-Compress-Zlib postgresql-devel python-devel  recode unixODBC-devel unzip xml-commons-apis zip
BuildRequires:  OpenOffice_org-libs-core-devel = %version
BuildRequires:  OpenOffice_org-l10n-extras-devel = %version
BuildRequires:  OpenOffice_org-components-devel = %version
BuildRequires:  OpenOffice_org-artwork-devel = %version
# poppler is needed to build the PDF import extension
# the needed version 0.8.0 has been avaiable only since openSUSE-11.0
BuildRequires:  poppler-devel
%define	        ooo_prefix	%_libdir
%define	        ooo_home	ooo3
%define	        ooo_build_tag	ooo310-m19
License:        LGPL v2.1 or later; LGPL v3 only; Other uncritical OpenSource License; The Apache Software License
Group:          Productivity/Office/Suite
AutoReqProv:    on
Requires:       OpenOffice_org-libs-core = %version
Summary:        OpenOffice.org Extensions
Url:            http://extensions.services.openoffice.org
Source0:        %ooo_build_tag-%piece.tar.bz2
Source1:        ooo-sdf-%piece.tar.bz2
Source2:        README-scsolver.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc

%description
This package provides various extensions for OpenOffice.org office
suite.



%package -n OpenOffice_org-base-extensions
License:        LGPL v2.1 or later; LGPL v3 only; Other uncritical OpenSource License
Summary:        OpenOffice.org Base Extensions
Group:          Productivity/Office/Suite
Requires:       OpenOffice_org-base = %version

%description -n OpenOffice_org-base-extensions
This package provides extensions for OpenOffice.org Base:

- Sun Report Builder



%package -n OpenOffice_org-calc-extensions
License:        LGPL v2.1 or later
Summary:        OpenOffice.org Calc Extensions
Group:          Productivity/Office/Suite
Requires:       OpenOffice_org-calc = %version
Requires:       lpsolve

%description -n OpenOffice_org-calc-extensions
This package provides extensions for OpenOffice.org Calc:

- Optimization Solver



%package -n OpenOffice_org-draw-extensions
License:        LGPL v3 only
Summary:        OpenOffice.org Draw Extensions
Group:          Productivity/Office/Suite
Requires:       OpenOffice_org-draw = %version

%description -n OpenOffice_org-draw-extensions
This package provides extensions for OpenOffice.org Draw:

- PDF Import



%package -n OpenOffice_org-impress-extensions
License:        LGPL v3 only
Summary:        OpenOffice.org Impress Extensions
Group:          Productivity/Office/Suite
Requires:       OpenOffice_org-impress = %version

%description -n OpenOffice_org-impress-extensions
This package provides extensions for OpenOffice.org Impress:

- Presentation Minimizer

- Presenter Console



%package -n OpenOffice_org-writer-extensions
License:        LGPL v3 only; The Apache Software License
Summary:        OpenOffice.org Writer Extensions
Group:          Productivity/Office/Suite
Requires:       OpenOffice_org-writer = %version

%description -n OpenOffice_org-writer-extensions
This package provides extensions for OpenOffice.org Writer:

- MediaWiki Publisher



%pre -n OpenOffice_org-base-extensions
if test $1 -gt 1 ; then
    echo "Unregistering the older OpenOffice.org Base extensions..."
    unopkg remove --shared com.sun.reportdesigner || true;
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || true
fi

%post -n OpenOffice_org-base-extensions
echo "Registering OpenOffice.org Base extensions..."
unopkg add --shared --force %ooo_prefix/%ooo_home/share/extension/install/sun-report-builder.oxt || true;

%preun -n OpenOffice_org-base-extensions
if test $1 = 0 ; then
    echo "Unregistering OpenOffice.org Base extensions..."
    unopkg remove --shared com.sun.reportdesigner || true;
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || true
fi
# calc

%pre -n OpenOffice_org-calc-extensions
if test $1 -gt 1 ; then
    echo "Unregistering the older OpenOffice.org Calc extensions..."
    # Calc solver has been completely removed in 3.0.99.6 (bnc#523588)
    if unopkg list --shared | grep -q "org.go-oo.CalcSolver" ; then
	unopkg remove --shared org.go-oo.CalcSolver || true;
	# clear disk cache
	unopkg list --shared > /dev/null 2>&1 || true
    fi
fi
# draw

%pre -n OpenOffice_org-draw-extensions
if test $1 -gt 1 ; then
    echo "Unregistering the older OpenOffice.org Draw extensions..."
    unopkg remove --shared com.sun.star.PDFImport || true;
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || true
fi

%post -n OpenOffice_org-draw-extensions
echo "Registering OpenOffice.org Draw extensions..."
unopkg add --shared --force %ooo_prefix/%ooo_home/share/extension/install/pdfimport.oxt || true;

%preun -n OpenOffice_org-draw-extensions
if test $1 = 0 ; then
    echo "Unregistering OpenOffice.org Draw extensions..."
    unopkg remove --shared com.sun.star.PDFImport || true;
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || true
fi
# impress

%pre -n OpenOffice_org-impress-extensions
if test $1 -gt 1 ; then
    echo "Unregistering the older OpenOffice.org Impress extensions..."
    unopkg remove --shared com.sun.star.PresentationMinimizer || true;
    unopkg remove --shared com.sun.PresenterScreen || true;
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || true
fi

%post -n OpenOffice_org-impress-extensions
echo "Registering OpenOffice.org Impress extensions..."
unopkg add --shared --force %ooo_prefix/%ooo_home/share/extension/install/sun-presentation-minimizer.oxt || true;
unopkg add --shared --force %ooo_prefix/%ooo_home/share/extension/install/presenter-screen.oxt || true;

%preun -n OpenOffice_org-impress-extensions
if test $1 = 0 ; then
    echo "Unregistering OpenOffice.org Impress extensions..."
    unopkg remove --shared com.sun.star.PresentationMinimizer || true;
    unopkg remove --shared com.sun.PresenterScreen || true;
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || true
fi
# writer

%pre -n OpenOffice_org-writer-extensions
if test $1 -gt 1 ; then
    echo "Unregistering the older OpenOffice.org Writer extensions..."
    unopkg remove --shared com.sun.wiki-publisher || true;
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || true
fi

%post -n OpenOffice_org-writer-extensions
echo "Registering OpenOffice.org Writer extensions..."
unopkg add --shared --force %ooo_prefix/%ooo_home/share/extension/install/wiki-publisher.oxt || true;

%preun -n OpenOffice_org-writer-extensions
if test $1 = 0 ; then
    echo "Unregistering OpenOffice.org Writer extensions..."
    unopkg remove --shared com.sun.wiki-publisher || true;
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || true
fi

%prep
%setup -q -a1 -n %ooo_build_tag-%piece
cp %{S:2} .

%build
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export VERBOSE=1
export EXTRA_BUILD_FLAGS=%{?jobs:-P%jobs}
export EXTRA_DMAKE_FLAGS="%{?jobs:-- -P%jobs}"
# FIXME: hack to avoid dependecy problem
$OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag

%install
# hack to install the extensions
mkdir -p $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/share/extension/install
find . -name "*.oxt" -exec cp {} $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/share/extension/install \;

%clean
rm -rf $RPM_BUILD_ROOT

%files -n OpenOffice_org-base-extensions
%defattr(-,root,root)
%ooo_prefix/%ooo_home/share/extension/install/sun-report-builder.oxt

%files -n OpenOffice_org-calc-extensions
%defattr(-,root,root)
%doc README-scsolver.txt

%files -n OpenOffice_org-draw-extensions
%defattr(-,root,root)
%ooo_prefix/%ooo_home/share/extension/install/pdfimport.oxt

%files -n OpenOffice_org-impress-extensions
%defattr(-,root,root)
%ooo_prefix/%ooo_home/share/extension/install/sun-presentation-minimizer.oxt
%ooo_prefix/%ooo_home/share/extension/install/presenter-screen.oxt

%files -n OpenOffice_org-writer-extensions
%defattr(-,root,root)
%ooo_prefix/%ooo_home/share/extension/install/wiki-publisher.oxt

%changelog
* Wed Sep  2 2009 Anas Nashif <anas.nashif@intel.com> - 3.1.1.1
- Initial import into Moblin
* Wed Aug 26 2009 pmladek@suse.cz
- updated to the milestone ooo310-m19
- updated ooo-build to version 3.1.1.1 (3.1.1-rc1)
- added check to avoid error message about missing scsolver extension
  (bnc#523588)
* Tue Aug 18 2009 pmladek@suse.cz
- updated to the milestone ooo310-m18
- updated ooo-build to version 3.1.0.99.3 (3.1.1-beta3)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to the milestone ooo310-m17
- updated ooo-build to version 3.1.0.99.2 (3.1.1-beta2)
- updated extra localizations sources: bg el mk nb nn sk sl
* Thu Jul 23 2009 pmladek@suse.cz
- updated to the milestone ooo310-m16
- updated ooo-build to version 3.1.0.99.1 (3.1.1-beta1)
* Mon Jun 29 2009 pmladek@suse.cz
- updated to the milestone ooo310-m14
- updated ooo-build to version 3.1.0.98.2 (3.1.1-alpha2)
* Mon Jun 15 2009 pmladek@suse.cz
- updated to the milestone ooo310-m13
- updated ooo-build to version 3.1.0.98.1 (3.1.1-alpha1)
* Thu May 28 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.6 (3.1-rc7 == final)
* Tue May 26 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.5 (3.1-rc6)
* Fri May 22 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.4 (3.1-rc5)
* Thu May 21 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.3 (3.1-rc4)
* Tue May 19 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.2 (3.1-rc3)
* Fri May 15 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.1  (3.1-rc2)
* Thu May  7 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.0  (3.1-rc1)
* Thu Apr 30 2009 pmladek@suse.cz
- updated to the milestone ooo310-m11 (3.1-rc2)
- updated ooo-build to version 3.0.99.7 (3.1-beta7)
* Fri Apr 24 2009 pmladek@suse.cz
- updated to the milestone ooo310-m10
- updated ooo-build to version 3.0.99.6 (3.1-beta6)
- updated extra localization sources: be-BY, bg, cs, da, el, et, fi, ga, km,
  lt, mk, sk, sl
* Mon Apr 20 2009 pmladek@suse.cz
- removed obsolete scsolver extension
- removed obsolete lpsolve-devel from BuildRequires
- added README-scsolver.txt
* Fri Apr 17 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.99.5 (3.1-beta5)
* Wed Apr  8 2009 pmladek@suse.cz
- updated to the milestone ooo310-m9
- updated ooo-build to version 3.0.99.4 (3.1-beta4)
* Fri Mar 27 2009 pmladek@suse.cz
- updated to the milestone ooo310-m7
- updated ooo-build to version 3.0.99.3 (3.1-beta3)
- improved the scriptlets to force new versions and remove cache of the older
  versions
* Fri Mar 20 2009 pmladek@suse.cz
- updated to the milestone ooo310-m6
- updated ooo-build to version 3.0.99.2 (3.1-beta2)
* Tue Mar 10 2009 pmladek@suse.cz
- updated to the milestone ooo310-m4
- updated ooo-build to version 3.0.99.1 (3.1-beta1)
* Fri Feb 20 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.16.1
* Fri Feb  6 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.15
* Fri Jan 23 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.13
- added ExclusiveArch: %%%%%%%%ix86 x86_64 ppc (bnc#465252)
* Fri Jan  9 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.11
* Fri Dec  5 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.10
* Fri Nov 21 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.9
- added extra localizations sources
* Fri Nov  7 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.8
- enabled system lpsolve (needed for scsolver)
- updated scsolver to the snapshot 2008-10-30
* Wed Oct 29 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.7
* Fri Oct 10 2008 pmladek@suse.cz
- updated to the milestone ooo300-m9 (3.0rc4)
- updated ooo-build to version 3.0.0.6
- added BuildIgnore OpenOffice_org to avoid cyclic build dependency
- updated 2008-10-07 to the snapshot 2008-10-07
- removed test files from xpdf sources; xpdf is not built at all; the binary
  files had suspicious content (bnc#434595)
* Sat Sep 27 2008 pmladek@suse.cz
- package created, version 3.0.0.5 (fate#304543, bnc#411669)
- based on ooo300-m7 sources (3.0rc2)
- based on scsolver, snapshot 2008-09-25
